# Save Image - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-save-image

# Save Image

POST

/

gpus

/

v2

/

jobs

/

save-image

Try it

Save Image

cURL

```
curl --request POST \
--url https://api.novita.ai/gpus/v2/jobs/save-image \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"instance_id": "instance-id",
"image": "registry.example.com/team/image:tag",
"registry_auth_id": "registry-auth-id"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/jobs/save-image"payload = { "instance_id": "instance-id", "image": "registry.example.com/team/image:tag", "registry_auth_id": "registry-auth-id"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ instance_id: 'instance-id', image: 'registry.example.com/team/image:tag', registry_auth_id: 'registry-auth-id' })};fetch('https://api.novita.ai/gpus/v2/jobs/save-image', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/jobs/save-image", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'instance_id' => 'instance-id', 'image' => 'registry.example.com/team/image:tag', 'registry_auth_id' => 'registry-auth-id' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/jobs/save-image"	payload := strings.NewReader("{\n \"instance_id\": \"instance-id\",\n \"image\": \"registry.example.com/team/image:tag\",\n \"registry_auth_id\": \"registry-auth-id\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpus/v2/jobs/save-image") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"instance_id\": \"instance-id\",\n \"image\": \"registry.example.com/team/image:tag\",\n \"registry_auth_id\": \"registry-auth-id\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/jobs/save-image")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"instance_id\": \"instance-id\",\n \"image\": \"registry.example.com/team/image:tag\",\n \"registry_auth_id\": \"registry-auth-id\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"job_id": "job-id"
}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Body

application/json

[​](#body-instance-id)

instance_id

string

required

Instance ID. String, length: 1-255 characters.

Example:

`"instance-id"`

[​](#body-image)

image

string

required

Target image name or address. String, length: 1-4095 characters.

Example:

`"registry.example.com/team/image:tag"`

[​](#body-registry-auth-id)

registry_auth_id

string

Saved registry authentication ID. String, length: 0-255 characters.

Example:

`"registry-auth-id"`

#### Response

200 - application/json

OK

[​](#response-job-id)

job_id

string

Save image job ID. Poll status via the [Get Job](#get-job) endpoint

Example:

`"job-id"`

Last modified on June 23, 2026
